Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Low-Priority Message Types

Query the list of low-priority message types for chatrooms.

Request Method

POST: https://data center domain/chatroom/message/priority/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rule. For details, refer to API Request Signature.

Body Parameters

None

Request Example

POST /chatroom/message/priority/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Timestamp: 1408710653491
Nonce:14314
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeIntReturn code, 200 for success.
objectNamesString[]Array of message types.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"objectNames":["RC:ImgMsg","RC:ImgTextMsg","RC:VcMsg"]
}